<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Model_ref_claim_type_detail extends CI_Model {

	public function getClaimById($id)
	{
		$this->db->select('*');
		$this->db->where('id',$id);
		$query = $this->db->get('_ref__claim_type_detail');

		return ($query->num_rows() > 0)?$query->result()[0] : null;
	}

	public function getRefClaimType($type)
	{
		$this->db->select('*');
		$this->db->where('claim_type_id',$type);
		$query = $this->db->get('_ref__claim_type_detail');

		return ($query->num_rows() > 0)?$query->result() : null;
	}
}
?>